{***********************************************************}
{    HotPDF PDF Component                                   }
{    Copyright(c)2007-2018, https://www.loslab.com          }
{***********************************************************}

program Outlines;
{$I ..\HotPDF.inc}
{$APPTYPE CONSOLE}

uses
{$IFDEF XE2+} System.Classes, System.SysUtils, Vcl.Graphics,
{$ELSE} Classes, SysUtils, Graphics, {$ENDIF} HPDFDoc;

var
   I: Integer;
   HotPDF: THotPDF;
   OutlineRoot: THPDFDocOutlineObject;
   CurrnetOutline: THPDFDocOutlineObject;

begin
  HotPDF:= THotPDF.Create(nil);
  try
    HotPDF.AutoLaunch := true;              // PDF file will be shown automatically
    HotPDF.FileName := 'Outlines.pdf';    
    HotPDF.BeginDoc( true );                // Create PDF file with outlines
    OutlineRoot := HotPDF.OutlineRoot;      // Get Outlines Root
    HotPDF.CurrentPage.TextOut(0, 5, 0, '  Page 1 top');           // Mark first page top
    HotPDF.CurrentPage.TextOut(0, 830, 0, '  Page 1 bottom');      // Mark first page bottom
    for I := 2 to 10 do
    begin
        CurrnetOutline := OutlineRoot.AddChild( 'Page ' + IntToStr(I - 1) );  // Add Outline block linked to 0,0 in current page
        CurrnetOutline.AddChild( 'Top ' );                //  Add Outline linked to 0,0 in current page
        CurrnetOutline.AddChild( 'Bottom ', 0, 800 );     //  Add Outline linked to 0,800 in current page
        HotPDF.AddPage;                                                     // ADD Next Page
        HotPDF.CurrentPage.TextOut(0, 5,  0,'  Page ' + IntToStr(I) + ' top');      // Mark Next page top
        HotPDF.CurrentPage.TextOut(0, 830,  0,'  Page ' + IntToStr(I) + ' bottom'); // Mark Next page bottom
    end;
    CurrnetOutline := OutlineRoot.AddChild( 'Page 10 ' );   // ADD last  Page
    CurrnetOutline.AddChild( 'Top ' );                      // Add Outline linked to 0,0 in last page
    CurrnetOutline.AddChild( 'Bottom ', 0, 830 );           // Add Outline linked to 0,830 in last page
    HotPDF.EndDoc;                                          // Close PDF file
  finally
      HotPDF.Free;
  end;
end.
