{*******************************************************}
{    HotPDF PDF Component                               }
{    Copyright(c)2007-2018, https://www.loslab.com      }
{*******************************************************}

program EmfDraw;
{$APPTYPE CONSOLE}
{$I ..\HotPDF.inc}

uses
{$IFDEF XE2+} System.SysUtils, System.Classes, Vcl.Graphics,
{$ELSE} SysUtils, Classes, Graphics, {$ENDIF} HPDFDoc;

var
   HotPDF: THotPDF;
   Meta: TMetafile;

begin
  HotPDF:= THotPDF.Create(nil);
  try
    HotPDF.AutoLaunch := true;               // PDF file will be shown automatically
    HotPDF.FileName := 'EmfDraw.pdf';       
    HotPDF.BeginDoc;                         // Create PDF file
    HotPDF.CurrentPage.SetFont('Tahoma', [], 9);                       // Show table header
    Meta:=TMetafile.Create;
    try
        Meta.LoadFromFile('Sample.emf');   // Load the metafile
        HotPDF.CurrentPage.ShowMetafile( Meta); // Show the metafile at the current page
    finally
      Meta.Free;
    end;
    HotPDF.EndDoc;                              // Close PDF file
  finally
    HotPDF.Free;
  end;
end.
