{***********************************************************}
{    HotPDF PDF Component                                   }
{    Copyright(c)2007-2018, https://www.loslab.com          }
{***********************************************************}

program ImageDemo;
{$APPTYPE CONSOLE}
{$I ..\HotPDF.inc}

uses
{$IFDEF XE2+} System.SysUtils, System.Classes, Vcl.Graphics,
{$ELSE} SysUtils, Classes, Graphics, {$ENDIF} HPDFDoc;

var
   I: Integer;
   HotPDF: THotPDF;
   Index: Integer;
   OutlineRoot: THPDFDocOutlineObject;

begin
  HotPDF:= THotPDF.Create(nil);
  try
    HotPDF.AutoLaunch := true;                  // PDF file will be shown automatically
    HotPDF.FileName := 'ImageDemo.pdf';
    HotPDF.PageLayout := plOneColumn;           // One column viewer mode
    HotPDF.BeginDoc(true);                      // Create PDF file with outlines

    OutlineRoot := HotPDF.OutlineRoot;                // Get Outlines Root
    OutlineRoot.AddChild( 'Image rotation' );       // Add Outline block linked to 0, 0 in current page
    OutlineRoot.AddChild( 'Image zoom ', 0, 800 );  // Add Outline block linked to 0, 800 in current page

    HotPDF.CurrentPage.SetFont('Arial', [fsBold, fsUnderline], 20); // Set font for header
    HotPDF.CurrentPage.TextOut(190, 20, 0, 'HotPDF Image Demo');    // Print text
    Index := HotPDF.AddImage( '..\..\Image.jpg', icJpeg );          // Add image to the document
    HotPDF.CurrentPage.SetFont('Arial', [fsUnderline], 16);         // Set font for subheader
    HotPDF.CurrentPage.TextOut(20, 50, 0, 'IMAGE ROTATION');        // Print text

    I := 0;
    while I < 360 do
    begin
        HotPDF.CurrentPage.ShowImage( Index, 300, 130, 130, 100, I ); // Show image and rotate
        Inc(I, 30);
    end;

    HotPDF.CurrentPage.TextOut(20, 400, 0, 'IMAGE ZOOM');           // Print text
    HotPDF.CurrentPage.SetFont('Times New Roman', [], 14);          // Set font for text
    
    HotPDF.CurrentPage.ShowImage( Index, 10, 430, 380, 300, 0 );    // Show image with sizes 380 x 300
    HotPDF.CurrentPage.TextOut( 180, 730, 0, '380 X 300');          // Print text

    HotPDF.CurrentPage.ShowImage( Index, 430, 430, 130, 100, 0 );   // Show image with sizes 130 x 100
    HotPDF.CurrentPage.TextOut( 470, 530, 0, '130 X 100');          // Print text

    HotPDF.EndDoc;                                                  // Close PDF file
  finally
    HotPDF.Free;
  end;
end.
