{***********************************************************}
{    HotPDF PDF Component                                   }
{    Copyright(c)2007-2018, https://www.loslab.com          }
{***********************************************************}

program ImageMask;
{$APPTYPE CONSOLE}
{$I ..\HotPDF.inc}

uses
{$IFDEF XE2+}System.SysUtils, System.Classes, Vcl.Graphics,
{$ELSE}SysUtils, Classes, Graphics,
{$ENDIF}HPDFDoc;

var
   HotPDF: THotPDF;
   MaskIndex: Integer;
   ImageIndex: Integer;

//   Image masking available in Acrobat 6 and higher

begin
  HotPDF:= THotPDF.Create(nil);
  try
    HotPDF.AutoLaunch := true;                  // PDF file will be shown automatically
    HotPDF.FileName := 'ImageMask.pdf';
    HotPDF.BeginDoc;                                          // Create PDF file

    MaskIndex := HotPDF.AddImage( '../../Mask.bmp', icFlate, True );   // Add image as mask
    ImageIndex := HotPDF.AddImage( '../../Image.jpg', icJpeg, False, MaskIndex );  // Add image as masked by mask MaskIndex
    HotPDF.CurrentPage.ShowImage( ImageIndex, 10, 10, 480, 384, 0 ); // Show image with sizes 390 x 300

    HotPDF.EndDoc;                                       // Close PDF file
  finally
      HotPDF.Free;
  end;
end.
