{***********************************************************}
{    HotPDF PDF Component                                   }
{    Copyright(c)2007-2018, https://www.loslab.com          }
{***********************************************************}

unit DelPagesUnit;

interface
{$I ..\HotPDF.inc}

uses
 {$IFDEF XE2+} WinApi.Windows, Winapi.Messages, System.SysUtils, System.Classes, Vcl.StdCtrls, Vcl.Controls, Vcl.Forms, Vcl.Dialogs,  
 {$ELSE} Windows, Messages, SysUtils, Controls, StdCtrls, Classes, Forms, Dialogs, {$ENDIF} HPDFDoc;    

type
  TForm1 = class(TForm)
    Button1: TButton;
    InFileEdit: TEdit;
    OutFileEdit: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  HotPDF: THotPDF;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
   I: Integer;
   PCI: Integer;
begin

  HotPDF:= THotPDF.Create(nil);
  try
    HotPDF.AutoLaunch := true;
    HotPDF.FileName := OutFileEdit.Text;    // Set out filename
    HotPDF.LoadFromFile(InFileEdit.Text);   // Load an existing PDF file
    HotPDF.PageLayout := plOneColumn;       // Set one column page layout
    HotPDF.BeginDoc;

    PCI := HotPDF.PagesCount;               // Receive count of pages in existing PDF file
    I := 1;
    while I < ( PCI - I + 1 ) do
    begin
        HotPDF.DeletePage(I);               // Delete all even pages from an existing PDF file
        Inc(I);
    end;

    HotPDF.EndDoc;
  finally
    HotPDF.Free;
  end;

end;

end.
