{***********************************************************}
{    HotPDF PDF Component                                   }
{    Copyright(c)2007-2018, https://www.loslab.com          }
{***********************************************************}

program LargeSize;
{$APPTYPE CONSOLE}
{$I ..\HotPDF.inc}

uses
{$IFDEF XE2+} System.SysUtils, System.Classes, Vcl.Graphics,
{$ELSE} SysUtils, Classes, Graphics, {$ENDIF} HPDFDoc;

var
   HotPDF: THotPDF;

begin
    HotPDF:= THotPDF.Create(nil);
    try
        HotPDF.AutoLaunch := true;
        HotPDF.FileName := 'LargeSize.pdf';   
        HotPDF.PageLayout := plOneColumn;  				// Set one column viewer mode

        HotPDF.BeginDoc;                              // Create PDF file

        HotPDF.CurrentPage.Size := psA3 ;                      // Set A3 page size
        HotPDF.CurrentPage.TextOut(10, 10, 0, 'A3 Size');

        HotPDF.AddPage;
        HotPDF.CurrentPage.Size := psUserDefined;
        HotPDF.CurrentPage.Width := 5000;                 // Set Page Width
        HotPDF.CurrentPage.Height := 800;                 // Set Page Height
        HotPDF.CurrentPage.SetFont('Arial', [], 72);
        HotPDF.CurrentPage.TextOut(10, 10, 0, '5000 X 800 Page size');

        HotPDF.AddPage;
        HotPDF.CurrentPage.Size := ps8x11;                            // Set 8x11 page size
        HotPDF.CurrentPage.Orientation := poLandscape;          	  // Set landscape page orientation
        HotPDF.CurrentPage.TextOut(10, 10, 0, '8x11 Size');

        HotPDF.EndDoc;                                    // Close PDF file
    finally
        HotPDF.Free;
    end;
end.
