{***********************************************************}
{    HotPDF PDF Component                                   }
{    Copyright(c)2007-2018, https://www.loslab.com          }
{***********************************************************}

program MultiSize;
{$APPTYPE CONSOLE}
{$I ..\HotPDF.inc}

uses
{$IFDEF XE2+} System.SysUtils, System.Classes, Vcl.Graphics,
{$ELSE} SysUtils, Classes, Graphics, {$ENDIF} HPDFDoc;

var
   HotPDF: THotPDF;

begin
    HotPDF:= THotPDF.Create(nil);
    try
        HotPDF.AutoLaunch := true;
        HotPDF.FileName := 'MultiSize.pdf';   
        HotPDF.PageLayout := plOneColumn;  				// Set one column viewer mode

        HotPDF.BeginDoc;                              // Create PDF file

        HotPDF.CurrentPage.Size := psA3;                      // Set A3 page size
        HotPDF.CurrentPage.TextOut(10, 10, 0, 'A3 Size');

        HotPDF.AddPage;
        HotPDF.CurrentPage.Width := 600;                  // Set Page Width
        HotPDF.CurrentPage.Height := 400;                 // Set Page Height
        HotPDF.CurrentPage.TextOut(10, 10, 0, '600 X 400 Page size');

        HotPDF.AddPage;
        HotPDF.CurrentPage.Size := ps8x11;                            // Set 8x11 page size
        HotPDF.CurrentPage.Orientation := poLandscape;          			// Set landscape page orientation
        HotPDF.CurrentPage.TextOut(10, 10, 0, '8x11 Size');

        HotPDF.AddPage;
        HotPDF.CurrentPage.Size := psLetter;                            // Set Letter page size
        HotPDF.CurrentPage.TextOut(10, 10, 0, 'Letter Size');
        
        HotPDF.AddPage;
        HotPDF.CurrentPage.Size := psA4;                            // Set A4 page size
        HotPDF.CurrentPage.TextOut(10, 10, 0, 'A4 Size');      

        HotPDF.EndDoc;                                    // Close PDF file
    finally
        HotPDF.Free;
    end;
end.
